/**
 * All the Pocketbase types supported by this tool.
 */
export const POCKETBASE_TYPE = {
  BOOL: "bool",
  NUMBER: "number",
  PLAIN_TEXT: "text",
  EMAIL: "email",
  JSON: "json",
  DATETIME: "date",
} as const;

type ObjectValues<T> = T[keyof T];

/**
 * Supported Pocketbase data types.
 */
export type PocketbaseType = ObjectValues<typeof POCKETBASE_TYPE>;

/**
 * A row type schema for column value parsing.
 */
export type PocketbaseRowSchema = {
  [key: string]: PocketbaseType;
};

/**
 * PocketBase system fields with autogenerated values that cannot be overriden (`base` collection type).
 */
export const POCKETBASE_SYSFIELD = [
  "id",
  "created",
  "updated",
];
